[
{
    blockid=access;
    help=service_pop_access_access;
    localvar={
	.delimiter="$";
	.allow.help="Access to the service will be granted when a (daemon,client) pair matches an ALLOW filter.";
	.allow.header="Allow";
	.deny.help="Access to the service will be denied when a (daemon,client) pair matches a DENY filter.";
	.deny.header="Deny";
	.else.help="If a (daemon,client) pair does not match any of the filters listed above, access is granted.";
	.allow.title="ALLOW Filter Entry";
	.deny.title="DENY Filter Entry";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    id=allowlabel;
	    text=$.allow.help;
	    wrap=$g.label.size5;
	    constraint={
		gridx=0;
		gridy=0;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    id=allowtable;
	    showedit=true;
	    buttonsat=east;
	    label=allowlabel;
	    visiblerows=5;
	    stdtable=true;
	    addui=allowdialog;
           addtext=$g.addbutton.text;
           edittext=$g.editbutton.text;
           deltext=$g.deletebutton.text;
	    addtitle=$.allow.title;
	    editui=allowdialog;
	    edittitle=$.allow.title;
	    val=$domainallowed.value;
	    delimiter=$.delimiter;
	    constraint={
		gridx=0;
		gridy=1;
		weightx=1;
		weighty=1;
		fill=both;
		insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.allow.header;
		    varname=allowrule;
		}
	    ]
	},
	{
	    ctrl=separator;
	    constraint={
		gridx=0;
		gridy=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=denylabel;
	    text=$.deny.help;
	    wrap=$g.label.size5;
	    constraint={
		gridx=0;
		gridy=3;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    id=denytable;
	    stdtable=true;
	    showedit=true;
	    buttonsat=east;
	    label=denylabel;
	    visiblerows=5;
	    addui=denydialog;
           addtext=$g.addbutton.text;
           edittext=$g.editbutton.text;
           deltext=$g.deletebutton.text;
	    addtitle=$.deny.title;
	    editui=denydialog;
	    edittitle=$.deny.title;
	    val=$domainnotallowed.value;
	    delimiter=$.delimiter;
	    constraint={
		gridx=0;
		gridy=4;
		weightx=1;
		weighty=1;
		fill=both;
		insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.deny.header;
		    varname=denyrule;
		}
	    ]
	},
	{
	    ctrl=separator;
	    constraint={
		gridx=0;
		gridy=5;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    text=$.else.help;
	    wrap=$g.label.size5;
	    constraint={
		gridx=0;
		gridy=6;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	}
    ]
},
{
    blockid=allowdialog;
    help=service_pop_access_allowdialog;
    localvar={
	.allowrule.help="ALLOW filter:";
    };
    content=[
	{
	    ctrl=label;
	    text=$.allowrule.help;
	    wrap=$g.label.size3;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=text;
	    val=$allowrule;
	    validate=com.netscape.management.msgserv.util.ValidAccessFilter;
	    errhint=$.allowrule.help;
	    focus=true;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$g.example.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$g.example.popaccess1;
		    wrap=$g.label.size3;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    text=$g.example.popaccess2;
		    wrap=$g.label.size3;
		}
	    ]
	}
    ]
},
{
    blockid=denydialog;
    help=service_pop_access_denydialog;
    localvar={
	.denyrule.help="DENY filter:";
    };
    content=[
	{
	    ctrl=label;
	    text=$.denyrule.help;
	    wrap=$g.label.size3;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=text;
	    val=$denyrule;
	    validate=com.netscape.management.msgserv.util.ValidAccessFilter;
	    errhint=$.denyrule.help;
	    focus=true;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$g.example.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$g.example.popaccess1;
		    wrap=$g.label.size3;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    text=$g.example.popaccess2;
		    wrap=$g.label.size3;
		}
	    ]
	}
    ]
}
]
